var r = new Relations();


var taille = images.length;
var numberCluster = Math.round(taille/81);
var donnees1= [[],[],[],[]];
generationDonnees();

function generationDonnees(){
	
	/* Generation du premier niveau */
	for (var l=1;l<10;l++){
		donnees1[0].push({
			child:(l-1)*2 ,
			indexx: (l-1)*162 +41, 
			zoomlvl:0
		});
	}
	
	/* Generation du second niveau */
	for (var i=1; i<numberCluster+1;i++){
		donnees1[1].push({
			child:(i-1)*9+4,
			indexx: (i-1)*81+41, 
			zoomlvl:1
		});

		/* Generation du troisieme niveau */
		for (var j=1; j<10;j++){
			donnees1[2].push({
				child:(i-1)*81+(j-1)*9+4,
				indexx: (i-1)*81+(j-1)*9+5, 
				zoomlvl:2
			});
			
			/* Generation du dernier niveau */
			for (var k=1; k<10;k++){
				donnees1[3].push({
					indexx: (i-1)*81+(j-1)*9+k, 
					zoomlvl:3
				});
			}
		}
	}
}


var donnees1_json = JSON.stringify(donnees1);

function calcNblvl(taille){
}
var param = {
	hauteur : 200,
	largeur : 1400,
	template: {
		selector: "#template",
		directives: {
			"img@src": "urlImage",
			"img@style+": "cssDimensionImage",
			"img@title": "titreImage",
			"p.title": "titreImage",
			"p.title@style+": "cssDimensionTitre"
		},
		relation: r
	}
};

var mesData = eval('(' + donnees1_json + ')');

var tapestry = new Tapestry(mesData);
